curl --request GET \
--url https://api.dev.endaoment.org/v1/activity/subproject/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.endaoment.org/v1/activity/subproject/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.endaoment.org/v1/activity/subproject/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"transactor": "0x1234567890abcdef1234567890abcdef12345678",
"occurredAtUtc": "2023-01-01T12:00:00Z",
"transactorUrl": "https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678",
"transactionHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
"type": "donation",
"automated": false,
"chainId": 1,
"amount": "1000000000000000000",
"usdcAmount": "1000000000",
"token": {
"id": 1,
"symbol": "ETH",
"name": "Ethereum",
"decimals": 18,
"logoUrl": "https://example.com/ethereum-logo.png",
"type": "Token",
"featured": true,
"popularity": 10,
"chainId": 1,
"contractAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"otcAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"memo": "MEMO123456",
"otcNetwork": {
"id": "ethereum",
"type": "mainnet"
},
"otcChainId": 1
},
"stock": {
"name": "Apple Inc.",
"ticker": "AAPL",
"id": "123e4567-e89b-12d3-a456-426614174000"
},
"to": {
"name": "Endaoment Fund",
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "fund"
}
}
]List subproject activity
Returns a list of recent activities associated with a specific subproject. The activities are sorted by creation date in descending order (newest first).
This includes donations and transfers received by the subproject.
Authentication is optional:
- Subproject activities are visible to all users
- However, some activities may include additional details for authenticated users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the subproject
"123e4567-e89b-12d3-a456-426614174000"
Query Parameters
Number of items to return per page
x >= 110
Number of items to skip (for pagination)
x >= 00
Response
List of recent activities successfully retrieved. Without pagination params: plain array (legacy). With count and/or offset: paginated envelope (count alone implies offset=0).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Unique identifier of entity that triggered the activity
"123e4567-e89b-12d3-a456-426614174000"
Address or label of the initiator of this activity
"0x1234567890abcdef1234567890abcdef12345678"
Timestamp of when the activity occurred on-chain (or database timestamp if not available)
"2023-01-01T12:00:00Z"
Link for the transactor address or identity
"https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678"
Transaction hash for the activity
"0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890"
Type of the activity
donation "donation"
Flag indicating if this activity is driven by an automated process
false
Chain ID of the activity (null for off-chain activities)
1
Amount transferred in the smallest currency unit of the asset
"1000000000000000000"
USDC equivalent amount of the transaction, prior to fees being applied, in the smallest currency unit (1000000 = 1 USD)
"1000000000"
Token of this donation (null if it was a stock donation)
Show child attributes
Show child attributes
Stock of this donation (null if it was a crypto donation)
Show child attributes
Show child attributes
Destination entity of the donation
Show child attributes
Show child attributes
Was this page helpful?